classification
Title: Compile under mingw properly
Type: enhancement Stage: patch review
Components: Build Versions: Python 2.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, alexgirao, jimjjewett, loewis
Priority: low Keywords: patch

Created on 2006-01-23 02:10 by alexgirao, last changed 2009-03-30 01:51 by ajaksu2. This issue is now closed.

Files
File name Uploaded Description Edit
py242-clean.patch alexgirao, 2006-01-23 02:10 patch file for python-2.4.2
Messages (7)
msg49381 - (view) Author: Alexandre Girao (alexgirao) Date: 2006-01-23 02:10
Hi,

 I made only simple changes to let gcc happy with win
related code and to compile without warnings.

Alexadre Girao,
http://nextt.org
msg49382 - (view) Author: Jim Jewett (jimjjewett) Date: 2006-01-24 23:19
Logged In: YES 
user_id=764593

Are you sure these were just compiler-related?

Changing things like frequency from {0,0} to {{0,}} or 
adding parentheses strike me as at least possible bugfixes 
that should not be in #ifdefs
msg49383 - (view) Author: Alexandre Girao (alexgirao) Date: 2006-01-24 23:34
Logged In: YES 
user_id=700047

Most of the changes were related to correct usage of braces 
and incompatibilities with mingw (note that i compiled with 
msvc too). The parenthesis changes apply to msvc too.

I thank you so much for paying attention on this.
msg49384 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-04-10 13:01
Logged In: YES 
user_id=21627

Unfortunately, the patch is unacceptable in its current
form. Some of the changes seem essential to make Python work
with Mingw, others seem merely aesthetical (i.e. those that
make warnings go away).

Some of the changes that make warnings go away look wrong:
the code is right as it stands, and if you get a warning
with MingW, it's either that the compiler is wrong, or some
other part of the setup is broken.

Would you be willing to rework the patch to only include the
fragments that are absolutely necessary to make it compile
and work correctly? Also, it would be much more useful if
you could forward-port the patch to the 2.5 subversion trunk.

Among the things I consider faulty are:
- inclusion of wincrypt.h
- addition of a parenthesis around the cFileName[1/2] block
- explicit conversion of arguments to const char**
msg49385 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-04-13 17:33
Logged In: YES 
user_id=21627

Unassigning myself until there is activity.
msg83900 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-21 00:26
Will close unless someone can salvage this patch for supported versions,
addressing Martin's review.
msg84451 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 01:51
Closing on lack of response.
History
Date User Action Args
2009-03-30 01:51:06ajaksu2setstatus: pending -> closed
resolution: rejected
messages: + msg84451
2009-03-21 00:26:01ajaksu2setstatus: open -> pending
priority: normal -> low
type: enhancement


nosy: + ajaksu2
messages: + msg83900
stage: patch review
2006-01-23 02:10:41alexgiraocreate